Package org.eclipse.emf.spi.cdo

# Class CDOSessionProtocol.LockObjectsResult

java.lang.Object
org.eclipse.emf.spi.cdo.CDOSessionProtocol.LockObjectsResult

Enclosing interface:
  CDOSessionProtocol

public static final class CDOSessionProtocol.LockObjectsResult extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions)`
Deprecated.
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, List<CDOLockDelta> lockDeltas, List<CDOLockState> lockStates, long timestamp)`
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, CDOLockState[] newLockStates, long timestamp)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`List<CDOLockDelta>`
`getLockDeltas()`
`List<CDOLockState>`
`getLockStates()`
`CDOLockState[]`
`getNewLockStates()`
Deprecated.
As of 4.15 use `getLockStates()`.
`long`
`getRequiredTimestamp()`
`CDORevisionKey[]`
`getStaleRevisions()`
`long`
`getTimestamp()`
`boolean`
`isSuccessful()`
`boolean`
`isTimedOut()`
`boolean`
`isWaitForUpdate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LockObjectsResult

public LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, List<CDOLockDelta> lockDeltas, List<CDOLockState> lockStates, long timestamp)

Since:
  4.15

### LockObjectsResult

@Deprecated public LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions)
Deprecated.

### LockObjectsResult

@Deprecated public LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, CDOLockState[] newLockStates, long timestamp)
Deprecated.

Since:
  4.1

## Method Details

### isSuccessful

public boolean isSuccessful()

### isTimedOut

public boolean isTimedOut()

### isWaitForUpdate

public boolean isWaitForUpdate()

### getRequiredTimestamp

public long getRequiredTimestamp()

### getTimestamp

public long getTimestamp()

Since:
  4.1

### getStaleRevisions

public CDORevisionKey[] getStaleRevisions()

### getLockDeltas

public List<CDOLockDelta> getLockDeltas()

Since:
  4.15

### getLockStates

public List<CDOLockState> getLockStates()

Since:
  4.15

### getNewLockStates

@Deprecated public CDOLockState[] getNewLockStates()
Deprecated.
As of 4.15 use `getLockStates()`.

Since:
  4.1